Debian Bug report logs - #618932
cmake multiarch support

version graph

Package: cmake; Maintainer for cmake is Modestas Vainius <modax@debian.org>; Source for cmake is src:cmake.

Reported by: Jonathan Riddell <jriddell@ubuntu.com>

Date: Sat, 19 Mar 2011 17:39:02 UTC

Severity: important

Tags: sid, wheezy

Merged with 629668, 629669

Found in version cmake/2.8.4+dfsg.1-2

Fixed in version cmake/2.8.4+dfsg.1-3

Done: Modestas Vainius <modax@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://public.kitware.com/Bug/view.php?id=12037

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#618932; Package cmake. (Sat, 19 Mar 2011 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Riddell <jriddell@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Modestas Vainius <modax@debian.org>. (Sat, 19 Mar 2011 17:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Riddell <jriddell@ubuntu.com>
To: submit@bugs.debian.org
Subject: cmake multiarch support
Date: Sat, 19 Mar 2011 17:37:53 +0000
[Message part 1 (text/plain, inline)]
Package: cmake

Unlike autoconf, cmake doesn't use the linker to find libraries.

This patch adds support for multiarch library directories to cmake.  It also needs a runtime dependency on dpkg-dev.

Jonathan
[ubuntu_multiarch_library_directory.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#618932; Package cmake. (Sat, 19 Mar 2011 18:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. (Sat, 19 Mar 2011 18:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 618932@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Jonathan Riddell <jriddell@ubuntu.com>, 618932@bugs.debian.org
Subject: Re: Bug#618932: cmake multiarch support
Date: Sat, 19 Mar 2011 20:29:30 +0200
[Message part 1 (text/plain, inline)]
severity 618932 important
thanks

Hello,

On šeštadienis 19 Kovas 2011 19:37:53 Jonathan Riddell wrote:
> Package: cmake
> 
> Unlike autoconf, cmake doesn't use the linker to find libraries.

Well, then probably it should. Do you know the details how autoconf does it?

> This patch adds support for multiarch library directories to cmake.  It
> also needs a runtime dependency on dpkg-dev.

That's the problem I have with this patch - it depends on dpkg-dev. I believe 
this might make it unacceptable for upstream. I don't think cmake upstream can 
afford to ignore Debian or Ubuntu so they will eventually have to implement 
something to support our configuration. So it would be better if we worked 
with them from the start, then nobody would need to reinvent the wheel and 
everybody would be happy.

However, I don't have much clue about multiarch at the moment. Technical 
details are sparse and required dpkg-dev is not even available in unstable. 
Neither debhelper is able to handle it yet. Therefore, I prefer to wait until 
dust settles down a bit and get things right.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'normal' Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 19 Mar 2011 18:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#618932; Package cmake. (Sat, 02 Apr 2011 12:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Sat, 02 Apr 2011 12:39:19 GMT) Full text and rfc822 format available.

Message #17 received at 618932@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 618932@bugs.debian.org
Subject: Re: Bug#618932: cmake multiarch support
Date: Sat, 2 Apr 2011 13:25:06 +0100
> > This patch adds support for multiarch library directories to cmake.  It
> > also needs a runtime dependency on dpkg-dev.

For the record, this appears to be the same thing as
<https://bugs.launchpad.net/debian/+source/cmake/+bug/737137>.

    S




Set Bug forwarded-to-address to 'http://public.kitware.com/Bug/view.php?id=12037'. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sun, 03 Apr 2011 20:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#618932; Package cmake. (Mon, 23 May 2011 21:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregory hainaut <gregory.hainaut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Mon, 23 May 2011 21:33:08 GMT) Full text and rfc822 format available.

Message #24 received at 618932@bugs.debian.org (full text, mbox):

From: gregory hainaut <gregory.hainaut@gmail.com>
To: 618932@bugs.debian.org
Subject: [cmake] cmake multiarch support (GTK2 module)
Date: Mon, 23 May 2011 23:31:09 +0200
Hello,

For completeness, there is also an others issue related with the GTK2
module.

Ubuntu bug:
https://bugs.launchpad.net/ubuntu/+source/cmake/+bug/751940

Cmake bug:
http://www.cmake.org/Bug/bug_relationship_graph.php?bug_id=12049

Cheers,
Gregory




Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#618932; Package cmake. (Sun, 29 May 2011 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Sun, 29 May 2011 02:57:03 GMT) Full text and rfc822 format available.

Message #29 received at 618932@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 618932@bugs.debian.org
Subject: Re: Bug#618932: cmake multiarch support
Date: Sat, 28 May 2011 21:51:58 -0500
[Message part 1 (text/plain, inline)]
On Sat, Mar 19, 2011 at 08:29:30PM +0200, Modestas Vainius wrote:

> On ??e??tadienis 19 Kovas 2011 19:37:53 Jonathan Riddell wrote:

> > This patch adds support for multiarch library directories to cmake.  It
> > also needs a runtime dependency on dpkg-dev.
> 
> That's the problem I have with this patch - it depends on dpkg-dev. I believe 
> this might make it unacceptable for upstream.

I'd agree that this kind of patch will be unsuitable for upstream.  I
found that you've already proposed some alternatives in
http://www.cmake.org/Bug/view.php?id=12037

I'm just wondering, given Luk Claes' recent message
http://lists.debian.org/debian-devel/2011/05/msg01108.html
whether the patch to this bug or to your upstream CMake bug could
be implemented, at least as an interim measure, as this is one of
the blockers to bootstrapping multiarch.

Thanks for considering this request,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#618932; Package cmake. (Tue, 31 May 2011 19:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. (Tue, 31 May 2011 19:27:02 GMT) Full text and rfc822 format available.

Message #34 received at 618932@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>, 618932@bugs.debian.org
Cc: vorlon@debian.org, debian-gcc@lists.debian.org
Subject: Re: Bug#618932: cmake multiarch support
Date: Tue, 31 May 2011 22:23:20 +0300
[Message part 1 (text/plain, inline)]
Hello,

On sekmadienis 29 Gegužė 2011 05:51:58 Steve M. Robbins wrote:
> On Sat, Mar 19, 2011 at 08:29:30PM +0200, Modestas Vainius wrote:
> > On ??e??tadienis 19 Kovas 2011 19:37:53 Jonathan Riddell wrote:
> > > This patch adds support for multiarch library directories to cmake.  It
> > > also needs a runtime dependency on dpkg-dev.
> > 
> > That's the problem I have with this patch - it depends on dpkg-dev. I
> > believe this might make it unacceptable for upstream.
> 
> I'd agree that this kind of patch will be unsuitable for upstream.  I
> found that you've already proposed some alternatives in
> http://www.cmake.org/Bug/view.php?id=12037
> 
> I'm just wondering, given Luk Claes' recent message
> http://lists.debian.org/debian-devel/2011/05/msg01108.html
> whether the patch to this bug or to your upstream CMake bug could
> be implemented, at least as an interim measure, as this is one of
> the blockers to bootstrapping multiarch.

Some time ago I asked Steve Langasek to verify what output of:

$ gcc -v /dev/null |& grep ^LIBRARY_PATH

will return on the multiarch system. Basically, cmake parses it and loads 
implicit link directories from it. I would prefer if both /lib/{triplet} and 
/usr/lib/{triplet} were in that list so I could go with proper implementation 
from there. However, at the moment, I don't know what's the status of this in 
gcc. AFAIK, Ubuntu gcc returns some inconsistent paths. All I need is this 
issue fully resolved in Ubuntu (and guarantees that the same will get into 
Debian) so I can use those paths to base CMake implementation on.

I'm willing to be flexible enough and trust me, cmake won't end up being a 
multiarch blocker. But I will take as much time as possible to implement a 
proper fix but at this point I need some help from toolchain. I do NOT 
consider current patches to be acceptable and they might only work as a last 
minute fixes when there is no other choice.

P.S. NMU without explicit permission would be considered as offensive action 
unless I start not reacting to mails for some reason.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#618932; Package cmake. (Tue, 31 May 2011 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Tue, 31 May 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #39 received at 618932@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Modestas Vainius <modax@debian.org>
Cc: "Steve M. Robbins" <steve@sumost.ca>, 618932@bugs.debian.org, vorlon@debian.org, debian-gcc@lists.debian.org
Subject: Re: Bug#618932: cmake multiarch support
Date: Wed, 01 Jun 2011 00:03:36 +0200
On 05/31/2011 09:23 PM, Modestas Vainius wrote:
> Hello,
>
> On sekmadienis 29 Gegužė 2011 05:51:58 Steve M. Robbins wrote:
>> On Sat, Mar 19, 2011 at 08:29:30PM +0200, Modestas Vainius wrote:
>>> On ??e??tadienis 19 Kovas 2011 19:37:53 Jonathan Riddell wrote:
>>>> This patch adds support for multiarch library directories to cmake.  It
>>>> also needs a runtime dependency on dpkg-dev.
>>>
>>> That's the problem I have with this patch - it depends on dpkg-dev. I
>>> believe this might make it unacceptable for upstream.
>>
>> I'd agree that this kind of patch will be unsuitable for upstream.  I
>> found that you've already proposed some alternatives in
>> http://www.cmake.org/Bug/view.php?id=12037
>>
>> I'm just wondering, given Luk Claes' recent message
>> http://lists.debian.org/debian-devel/2011/05/msg01108.html
>> whether the patch to this bug or to your upstream CMake bug could
>> be implemented, at least as an interim measure, as this is one of
>> the blockers to bootstrapping multiarch.
>
> Some time ago I asked Steve Langasek to verify what output of:
>
> $ gcc -v /dev/null |&  grep ^LIBRARY_PATH
>
> will return on the multiarch system. Basically, cmake parses it and loads
> implicit link directories from it. I would prefer if both /lib/{triplet} and
> /usr/lib/{triplet} were in that list so I could go with proper implementation
> from there. However, at the moment, I don't know what's the status of this in
> gcc. AFAIK, Ubuntu gcc returns some inconsistent paths. All I need is this
> issue fully resolved in Ubuntu (and guarantees that the same will get into
> Debian) so I can use those paths to base CMake implementation on.

can't see why it wouldn't be consistent. it's missing /lib/<multiarch>, but this 
directory shouldn't have any files needed for linking, only for dynamic linking. 
however, it looks like /usr/local/lib/<multiarch> is missing here.

you should not rely on this information anyway, as ld may be used directly to 
link with.

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#618932; Package cmake. (Tue, 31 May 2011 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Tue, 31 May 2011 22:33:03 GMT) Full text and rfc822 format available.

Message #44 received at 618932@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: Modestas Vainius <modax@debian.org>, "Steve M. Robbins" <steve@sumost.ca>, 618932@bugs.debian.org, debian-gcc@lists.debian.org
Subject: Re: Bug#618932: cmake multiarch support
Date: Tue, 31 May 2011 15:30:32 -0700
Hi Matthias,

On Wed, Jun 01, 2011 at 12:03:36AM +0200, Matthias Klose wrote:
> >Some time ago I asked Steve Langasek to verify what output of:
> >
> >$ gcc -v /dev/null |&  grep ^LIBRARY_PATH
> >
> >will return on the multiarch system. Basically, cmake parses it and loads
> >implicit link directories from it. I would prefer if both /lib/{triplet} and
> >/usr/lib/{triplet} were in that list so I could go with proper implementation
> >from there. However, at the moment, I don't know what's the status of this in
> >gcc. AFAIK, Ubuntu gcc returns some inconsistent paths. All I need is this
> >issue fully resolved in Ubuntu (and guarantees that the same will get into
> >Debian) so I can use those paths to base CMake implementation on.

> can't see why it wouldn't be consistent. it's missing
> /lib/<multiarch>, but this directory shouldn't have any files needed
> for linking, only for dynamic linking. however, it looks like
> /usr/local/lib/<multiarch> is missing here.

I was using gcc -print-search-dirs, rather than gcc -v, but on a natty
system both methods expose the inconsistency:

$ gcc -v /dev/null |&  sed -n -e's/^LIBRARY_PATH=//p' | sed -e's/:/\n/g' \
  | xargs -n1 readlink -f | grep -v gcc
/usr/lib/x86_64-linux-gnu
/lib
/usr/lib
/usr/lib/x86_64-linux-gnu
$

$ gcc -print-search-dirs | sed -n -e's/^libraries: =//p' | sed -e's/:/\n/g' \
  | xargs -n1 readlink -f | grep -vE 'gcc|/[0-9.]+$'
/usr/x86_64-linux-gnu/lib
/usr/lib/x86_64-linux-gnu
/lib
/usr/lib
/usr/lib/x86_64-linux-gnu
$

/usr/local/lib is missing entirely from the output, both with or without the
multiarch triplet; so that's orthogonal to the multiarch question.  However,
while /lib is listed here, /lib/<triplet> is *not*.  I haven't gotten to the
bottom of this yet to understand why this is so, but it is inconsistent.  As
you say, /lib/<triplet> shouldn't be needed for linking, but neither should
/lib; either we're wrong about there not being a reason and we should have
both of them, or we should try to drop /lib as well for consistency.

> you should not rely on this information anyway, as ld may be used
> directly to link with.

The issue is that cmake walks the filesystem directly in order to do library
detection, and currently it has a hard-coded path for libraries.  We don't
want that - we want it to inherit the search path from the compiler if
possible.  Linking directly with ld should be a non-issue, as cmake
shouldn't be *invoking* ld when it does the linking, it should be invoking
the compiler.  What we want there is for cmake and gcc to have a consistent
view of the search path without cmake having to query dpkg-architecture,
since that's a Debian-specific interface - if it can extract this
information from gcc output directly, that's an upstreamable patch that will
let cmake transparently pick up multiarch support whenever and wherever
other distributions add it.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Added indication that bug 618932 blocks 623767 Request was from Sven Eckelmann <sven@narfation.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 20:27:10 GMT) Full text and rfc822 format available.

Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Tue, 07 Jun 2011 21:51:07 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Riddell <jriddell@ubuntu.com>:
Bug acknowledged by developer. (Tue, 07 Jun 2011 21:51:07 GMT) Full text and rfc822 format available.

Message #51 received at 618932-close@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: 618932-close@bugs.debian.org
Subject: Bug#618932: fixed in cmake 2.8.4+dfsg.1-3
Date: Tue, 07 Jun 2011 21:47:30 +0000
Source: cmake
Source-Version: 2.8.4+dfsg.1-3

We believe that the bug you reported is fixed in the latest version of
cmake, which is due to be installed in the Debian FTP archive:

cmake-curses-gui_2.8.4+dfsg.1-3_amd64.deb
  to main/c/cmake/cmake-curses-gui_2.8.4+dfsg.1-3_amd64.deb
cmake-data_2.8.4+dfsg.1-3_all.deb
  to main/c/cmake/cmake-data_2.8.4+dfsg.1-3_all.deb
cmake-dbg_2.8.4+dfsg.1-3_amd64.deb
  to main/c/cmake/cmake-dbg_2.8.4+dfsg.1-3_amd64.deb
cmake-doc_2.8.4+dfsg.1-3_all.deb
  to main/c/cmake/cmake-doc_2.8.4+dfsg.1-3_all.deb
cmake-qt-gui_2.8.4+dfsg.1-3_amd64.deb
  to main/c/cmake/cmake-qt-gui_2.8.4+dfsg.1-3_amd64.deb
cmake_2.8.4+dfsg.1-3.debian.tar.gz
  to main/c/cmake/cmake_2.8.4+dfsg.1-3.debian.tar.gz
cmake_2.8.4+dfsg.1-3.dsc
  to main/c/cmake/cmake_2.8.4+dfsg.1-3.dsc
cmake_2.8.4+dfsg.1-3_amd64.deb
  to main/c/cmake/cmake_2.8.4+dfsg.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618932@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Modestas Vainius <modax@debian.org> (supplier of updated cmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 08 Jun 2011 00:15:00 +0300
Source: cmake
Binary: cmake cmake-data cmake-curses-gui cmake-qt-gui cmake-doc cmake-dbg
Architecture: source amd64 all
Version: 2.8.4+dfsg.1-3
Distribution: unstable
Urgency: low
Maintainer: Modestas Vainius <modax@debian.org>
Changed-By: Modestas Vainius <modax@debian.org>
Description: 
 cmake      - cross-platform, open-source make system
 cmake-curses-gui - curses based user interface for CMake (ccmake)
 cmake-data - CMake data files (modules, templates and documentation)
 cmake-dbg  - debugging symbols for CMake
 cmake-doc  - extended documentation in various formats for CMake
 cmake-qt-gui - Qt4 based user interface for CMake (cmake-gui)
Closes: 618932 627853
Changes: 
 cmake (2.8.4+dfsg.1-3) unstable; urgency=low
 .
   * Merge 2.8.2+dfsg.1-0+squeeze1 changes.
   * Do not start cmake description synopsis with an article.
   * Generate colour Makefiles when $TERM is set to 'screen-256color-bce'.
     Thanks to Davide Mancusi for the patch (screen-256color-bce.diff).
     (Closes: #627853)
   * Add libxmlrpc-core-c3-dev as a preferred alternative to libxmlrpc-c3-dev
     in Build-Depends. libxmlrpc-c3-dev has become a transitional package.
   * Bump Standards-Version to 3.9.2: no changes needed.
   * Switch Vcs-* debian/control fields to anonscm.debian.org.
   * Fix find_library() to find libraries in multiarch library paths (patch
     multiarch_library_directory_hack.diff). While the patch is not a good fix
     (hackish by nature, no cross-compilation support etc.), it should do the
     job in majority of cases. Also require dpkg-dev >= 1.16 at both build
     time (Build-Depends) and runtime (cmake Depends) because the patch needs
     dpkg-architecture -qDEB_HOST_MULTIARCH. (Closes: #618932)
   * Make FindGTK2.cmake work with Debian multiarch
     (patch multiarch_findgtk2_fix.diff). (LP: #751940)
Checksums-Sha1: 
 cb642480bf365ba103ad638943839a59cac3be2e 1531 cmake_2.8.4+dfsg.1-3.dsc
 5cc013b78864d55c1f3ba7de57c067f9e4eea062 26310 cmake_2.8.4+dfsg.1-3.debian.tar.gz
 fa05f0ea7fea4d64029a12a263adebe83e53cf3e 4146244 cmake_2.8.4+dfsg.1-3_amd64.deb
 28b43a8d0e2a0a1957021e17e4f330a0d6c3ba61 1254554 cmake-data_2.8.4+dfsg.1-3_all.deb
 21bc6c6c78e663a3cbdb558d367f1717725572bc 1226578 cmake-curses-gui_2.8.4+dfsg.1-3_amd64.deb
 ac9c0f0f8388be986f1b37444ab09413284e4bf2 1302882 cmake-qt-gui_2.8.4+dfsg.1-3_amd64.deb
 bee564dba0a983a868b6db7aa29040da8b307a3a 1383998 cmake-doc_2.8.4+dfsg.1-3_all.deb
 684259b750ee76de95a3d04114b76ef2d9e1df18 59603926 cmake-dbg_2.8.4+dfsg.1-3_amd64.deb
Checksums-Sha256: 
 38074b143bd6eaa1fcc21febadeb4cd3acd1b335849459e17fb127d12ec2aa33 1531 cmake_2.8.4+dfsg.1-3.dsc
 a340b998947b1809113fdd913b155fc3e10fa0bc62c66000f0f9c6b89ed518ab 26310 cmake_2.8.4+dfsg.1-3.debian.tar.gz
 65a7c3082619db16fcda5e7bbd0122ab046b31011dc374fe7f2cffc13c628b01 4146244 cmake_2.8.4+dfsg.1-3_amd64.deb
 fdbb7f4e02ef78faff9569c0a03e04692bf104a175b60a2aa1c516a33a8a2e47 1254554 cmake-data_2.8.4+dfsg.1-3_all.deb
 cc5c740667cccb09849b247d56ea1da507f80d3dc720a8cb038134f8442d1327 1226578 cmake-curses-gui_2.8.4+dfsg.1-3_amd64.deb
 093c4c17664c035e0229278349de184bb01085ccbe0d1a86ced951d62c8e88a1 1302882 cmake-qt-gui_2.8.4+dfsg.1-3_amd64.deb
 13ae112a76406d36c9b293bb84286c66ebc6dd7fa9f63c75286489f9f612845d 1383998 cmake-doc_2.8.4+dfsg.1-3_all.deb
 f7a7e6175a404a93357a086efe06bfe89bd22d767bf65a98bb3057ee1c8ba001 59603926 cmake-dbg_2.8.4+dfsg.1-3_amd64.deb
Files: 
 4866d769b78a5fb6469355c84b825603 1531 devel optional cmake_2.8.4+dfsg.1-3.dsc
 d32fd67d5898272dcdda29e738724a8a 26310 devel optional cmake_2.8.4+dfsg.1-3.debian.tar.gz
 ef2ddc73a270cb9860d62ee7c2048daa 4146244 devel optional cmake_2.8.4+dfsg.1-3_amd64.deb
 99c02c5f366a6c89e9084fa199277dbd 1254554 devel optional cmake-data_2.8.4+dfsg.1-3_all.deb
 8554491d4b74292bf5ca8fe2f6e2b085 1226578 devel optional cmake-curses-gui_2.8.4+dfsg.1-3_amd64.deb
 f69e5c74f322f66c3f9fe016748c35d0 1302882 devel optional cmake-qt-gui_2.8.4+dfsg.1-3_amd64.deb
 c0e640711fb72a307098f6bb8fbb39aa 1383998 doc optional cmake-doc_2.8.4+dfsg.1-3_all.deb
 e59562ce35a38b7f3b31884a607820df 59603926 debug extra cmake-dbg_2.8.4+dfsg.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3umy4ACgkQHO9JRnPq4hTIOACfYez4b+ADhOTYTyDhZq982W5n
+wEAoKQbaORM5Vvw5Akf6a6YLATXsoBE
=GSld
-----END PGP SIGNATURE-----





Forcibly Merged 618932 629668. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Wed, 08 Jun 2011 20:18:13 GMT) Full text and rfc822 format available.

Forcibly Merged 618932 629668 629669. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Wed, 08 Jun 2011 20:18:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jul 2011 07:37:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:23:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.